/**
 * output package name
 */
package com.kingdee.eas.custom.hireapproval.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class ExecuteStateEnum extends StringEnum
{
    public static final String UNEXECUTE_VALUE = "0";//alias=未执行
    public static final String SUCCESS_VALUE = "1";//alias=成功
    public static final String ERROR_VALUE = "2";//alias=失败
    public static final String EXECUTEING_VALUE = "3";//alias=执行中

    public static final ExecuteStateEnum UNEXECUTE = new ExecuteStateEnum("UNEXECUTE", UNEXECUTE_VALUE);
    public static final ExecuteStateEnum SUCCESS = new ExecuteStateEnum("SUCCESS", SUCCESS_VALUE);
    public static final ExecuteStateEnum ERROR = new ExecuteStateEnum("ERROR", ERROR_VALUE);
    public static final ExecuteStateEnum EXECUTEING = new ExecuteStateEnum("EXECUTEING", EXECUTEING_VALUE);

    /**
     * construct function
     * @param String executeStateEnum
     */
    private ExecuteStateEnum(String name, String executeStateEnum)
    {
        super(name, executeStateEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static ExecuteStateEnum getEnum(String executeStateEnum)
    {
        return (ExecuteStateEnum)getEnum(ExecuteStateEnum.class, executeStateEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(ExecuteStateEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(ExecuteStateEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(ExecuteStateEnum.class);
    }
}